| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGenerateImageLayer Class Reference

This class is used to store the layers of textures per value. More...

`#include <cstool/gentrtex.h>`

List of all members.

## Public Attributes
csGenerateImageLayer * | next
| next part (ascending in height)
csGenerateImageTexture * | tex
| the texture for this layer
float | value
| the value where this texture should show

## Detailed Description

This class is used to store the layers of textures per value.

Used in the Blend class.

Definition at line 107 of file gentrtex.h.

## Member Data Documentation

csGenerateImageLayer* csGenerateImageLayer::next

next part (ascending in height)

Definition at line 115 of file gentrtex.h.

csGenerateImageTexture* csGenerateImageLayer::tex

the texture for this layer

Definition at line 113 of file gentrtex.h.

float csGenerateImageLayer::value

the value where this texture should show

Definition at line 111 of file gentrtex.h.

The documentation for this class was generated from the following file:

- cstool/gentrtex.h